<Container
  @value={{@col.data.cardContainer}}
  @deviceSize={{@deviceSize}}
  @isEditor={{@isEditor}}
  class="card browse-attributes"
  data-name="{{@col.name}} card"
  data-gid={{@col.gid}}
  data-path="{{@path}}.data.cardContainer"
  ...attributes
>
  {{#if @header}}
    <TextWithOptions
      class="card-header"
      @options={{@value.data.cardHeader}}
      @tag="div"
      @isEditor={{@isEditor}}
      @deviceSize={{@deviceSize}}
      data-path="{{@path}}.data.cardHeader"
      data-name="{{@value.name}} header"
      data-gid={{@value.gid}}
    >
      {{#if @icon}}
        <img class="group-icon me-2" src="{{@icon}}/lg" alt={{@header}} />
      {{/if}}

      {{#if this.hasIndex}}
        <span class="index">{{this.index}}.</span>
      {{/if}}

      {{@header}}
    </TextWithOptions>
  {{/if}}

  <ul class="list-group list-group-flush browse-attributes">
    {{#each this.value as |item|}}
      <Container
        @value={{@col.data.valueContainer}}
        @deviceSize={{@deviceSize}}
        @isEditor={{@isEditor}}
        class="list-group-item"
        data-name="{{@col.name}} value container"
        data-gid={{@col.gid}}
        data-path="{{@path}}.data.valueContainer"
      >
        <TextWithOptions
          @options={{@value.data.valueHeader}}
          @tag="div"
          @isEditor={{@isEditor}}
          @deviceSize={{@deviceSize}}
          class="value-header"
          data-path="{{@path}}.data.valueHeader"
          data-name="{{@value.name}} value header"
          data-gid={{@value.gid}}
        >
          {{item.displayName}}
        </TextWithOptions>
        <div class="value">
          {{#if (eq item.type "boolean")}}
            <TextWithOptions
              @options={{@value.data.valueBoolean}}
              @tag="div"
              @deviceSize={{@deviceSize}}
              @isEditor={{@isEditor}}
              data-path="{{@path}}.data.valueBoolean"
              data-name="{{@value.name}} value boolean"
              data-gid={{@value.gid}}
            >
              {{#if (or (eq item.value undefined) (eq item.value null))}}
                ---
              {{else if (eq item.value true)}}
                {{t "yes"}}
              {{else}}
                {{t "no"}}
              {{/if}}
            </TextWithOptions>
          {{else if (gt item.value.blocks.length 0)}}
            <Article::Viewer
              @path="{{@path}}.data.valueBlocks"
              @name="{{@value.name}} value"
              @gid={{@value.gid}}
              @deviceSize={{@deviceSize}}
              @styleOptions={{@value.data.valueBlocks}}
              @value={{item.value}}
              @isEditor={{@isEditor}}
            />
          {{else if (and item.value (not (eq item.value.blocks.length 0)))}}
            <TextWithOptions
              @options={{@value.data.valueBoolean}}
              @tag="div"
              @deviceSize={{@deviceSize}}
              @isEditor={{@isEditor}}
              data-path="{{@path}}.data.valueText"
              data-name="{{@value.name}} value"
              data-gid={{@value.gid}}
            >
              <MarkDown class="value-text" @value={{item.value}} />
            </TextWithOptions>
          {{else}}
            <TextWithOptions
              @options={{@value.data.valueBoolean}}
              @tag="div"
              @deviceSize={{@deviceSize}}
              @isEditor={{@isEditor}}
              data-path="{{@path}}.data.valueText"
              data-name="{{@value.name}} value"
              data-gid={{@value.gid}}
            >
              ---
            </TextWithOptions>
          {{/if}}
        </div>
      </Container>
    {{/each}}
  </ul>
</Container>